/*
 * com.simulogic.cese -- Cell Electrophysiology Simulation Environment (CESE)
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * Dalhousie Univ., Halifax, NS, Canada
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.cese.properties;

import java.beans.FeatureDescriptor;
import java.util.Comparator;

/**
 * Comparator used to compare java.beans.FeatureDescriptor objects. The Strings
 * returned from getDisplayName are used in the comparison.
 */
public class DescriptorComparator implements Comparator {

	/**
	 * Compares two FeatureDescriptor objects
	 */
	public int compare(Object o1, Object o2) {
		FeatureDescriptor f1 = (FeatureDescriptor) ((ModelPropertyDescriptor) o1)
				.getDescriptor();
		FeatureDescriptor f2 = (FeatureDescriptor) ((ModelPropertyDescriptor) o2)
				.getDescriptor();

		return f1.getDisplayName().compareTo(f2.getDisplayName());
	}
}