/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 * 
 * Copyright (C) 1999 - 2005 Sergey Missan
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this library; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 *  
 */

package com.simulogic.dataview.actions;

/**
 * Tile action implementation
 */
public class TileAction extends com.simulogic.utils.ActionSupport implements
        java.beans.PropertyChangeListener {

    private com.simulogic.dataview.DataDesktop desktop;

    /**
     * Creates new action
     * 
     * @param d desktop
     */
    public TileAction(com.simulogic.dataview.DataDesktop d) {
        this();
        desktop = d;
        desktop.addPropertyChangeListener(this);
    }

    /**
     * Creates new action
     */
    public TileAction() {
        super(com.simulogic.dataview.ResourceManager.getResource("Tile"),
                com.simulogic.dataview.ResourceManager.getResource("Tile"),
                com.simulogic.dataview.ResourceManager.getResource("tile_image"));
    }

    /**
     * Action interface implementation
     * 
     * @param evt event
     */
    public void actionPerformed(java.awt.event.ActionEvent evt) {
        desktop.tile();
    }

    /**
     * Reflects change in the property (disables/enables) action
     * 
     * @param evt event
     */
    public void propertyChange(java.beans.PropertyChangeEvent evt) {
        if (evt.getPropertyName().equals("frame_control"))
                this.setEnabled(((Boolean) evt.getNewValue()).booleanValue());
    }
}